conduit-zstd-0.0.2.0: Conduit-based ZStd Compression

Safe Haskell | None
Language | Haskell2010

Data.Conduit.Zstd

Synopsis

- compress :: forall (m :: Type -> Type). MonadIO m => Int -> ConduitT ByteString ByteString m ()
- decompress :: forall (m :: Type -> Type). MonadIO m => ConduitT ByteString ByteString m ()

# Documentation

compress Source #

Arguments

:: forall (m :: Type -> Type). MonadIO m |
=> Int | compression level
-> ConduitT ByteString ByteString m () |

compression conduit

decompress :: forall (m :: Type -> Type). MonadIO m => ConduitT ByteString ByteString m () Source #

decompression conduit